import { Puth } from '../server/Server';
import { PuthPlugin, PuthPluginGeneric } from '../server/src/PuthPluginGeneric';
export declare class LocalPuthClient {
    private readonly puth;
    constructor(options?: any);
    getPuth(): Puth;
    contextCreate(options?: {}, debug?: boolean): Promise<any>;
    contextCall(rpcPacket: any): Promise<any>;
    contextGet(rpcPacket: any): Promise<{
        type: string;
        value: any;
    } | {
        type: string;
        code: string;
        message: string;
    }>;
    contextSet(rpcPacket: any): Promise<true | {
        type: string;
        code: string;
        message: string;
    }>;
    contextDelete(rpcPacket: any): Promise<{
        type: string;
        code: string;
        message: string;
    } | undefined>;
    use(plugin: PuthPluginGeneric<PuthPlugin>): void;
}
